Update source settings
Update selected source settings, including name, announcement, encryption and alerts; omitted fields stay unchanged.
/api/appstore/manage/sources/:source_idParametry żądania
Wszystkie parametry mogą być przekazywane za pośrednictwem zapytania lub ciała
| Parametr | Rodzaj | Wymagane | Opis |
|---|---|---|---|
source_id | string | Wymagane | Source ID owned by this user on the current site Przykład: 12345678 |
name | string | Opcjonalnie | Source name, up to 100 characters Przykład: 我的软件源 |
message | string | Opcjonalnie | Source announcement Przykład: 欢迎使用 |
identifier | string | Opcjonalnie | Source identifier, up to 100 characters |
source_icon | string | Opcjonalnie | HTTP(S) URL of the source icon |
pay_url | string | Opcjonalnie | HTTP(S) URL of the payment page |
encrypt_enabled | integer | Opcjonalnie | Response encryption: 0=off, 1=on (default on when created) Przykład: 1 |
force_encrypt | integer | Opcjonalnie | Force encryption: 0=off (default), 1=always encrypt regardless of UA/UDID or encrypt_enabled; never fall back to plaintext Przykład: 0 |
open_black | integer | Opcjonalnie | Auto-block devices used to add apps: 0/1 Przykład: 0 |
open_black2 | integer | Opcjonalnie | Auto-block cracking attempts: 0/1 Przykład: 0 |
health_alert | object | Opcjonalnie | Complete link-health alert configuration as a JSON object |
Odpowiedź
| Parametr | Rodzaj | Wymagane | Opis |
|---|---|---|---|
code | integer | Wymagane | 1 indicates success; otherwise a token, validation or source error code Przykład: 1 |
msg | string | Wymagane | Localized result message Przykład: 获取成功 |
time | integer | Wymagane | Unix timestamp in seconds |
data | object | Wymagane | Allowlisted fields visible to the source owner |
Kod błędu
101140001Język odpowiedzi
Dostosuj język odpowiedzi API do nagłówka X- Lang. Poniższe przykłady kodów automatycznie korzystają z aktualnego języka strony.
X-Lang: plzh, en, zh-TW, vi, ar, es, ruObsługiwane jest również Accept- Language; X- Lang ma pierwszeństwo. Nieobsługiwane języki podążają za zapasami języka strony.
Przykłady kodów
curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678" \
-H "X-Lang: pl" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "我的软件源",
"message": "欢迎使用",
"identifier": "example_identifier",
"source_icon": "example_source_icon",
"pay_url": "example_pay_url",
"encrypt_enabled": 1,
"force_encrypt": 0,
"open_black": 0,
"open_black2": 0,
"health_alert": "example_health_alert"
}'Uwagi
- 仅可操作当前站点、当前 Token 所属用户的软件源。
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
- 只修改传入的字段;health_alert 作为完整对象整体替换。
Spróbuj w konsoli
Wypełnij poniższe parametry i wyślij wniosek o przetestowanie. Żądania są kierowane tylko do API tej witryny; adres URL jest zablokowany i nie może być zmieniony, a obecne pliki cookie logowania są włączone.
https://testypro.iwai.cc/api/appstore/manage/sources/12345678Zamknięte na tej stronieSource ID owned by this user on the current site
Source name, up to 100 characters
Source announcement
Source identifier, up to 100 characters
HTTP(S) URL of the source icon
HTTP(S) URL of the payment page
Response encryption: 0=off, 1=on (default on when created)
Force encryption: 0=off (default), 1=always encrypt regardless of UA/UDID or encrypt_enabled; never fall back to plaintext
Auto-block devices used to add apps: 0/1
Auto-block cracking attempts: 0/1
Complete link-health alert configuration as a JSON object